=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6config-dev (>= 6.14.0~),
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6doctools-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6doctools-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -46,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.14.0~),
-         libkf6coreaddons-dev (>= 6.14.0~),
-         libkf6doctools-dev (>= 6.14.0~),
-         libkf6i18n-dev (>= 6.14.0~),
+Depends: libkf6config-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.16.0~),
+         libkf6doctools-dev (>= 6.16.0~),
+         libkf6i18n-dev (>= 6.16.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),
